## mr 0.1

=== DESCRIPTION ===
Package: mr
Version: 0.1
Priority: optional
Title: Marginal regresson models for dependent data
Author: Guido Masarotto and Cristiano Varin
Maintainer: Guido Masarotto <guido.masarotto@unipd.it> and Cristiano
        Varin <sammy@unive.it>
Depends: R (>= 2.0.0), nlme, sandwich, sn, geoR
Description: likelihood inference in a class of marginal regression
        models for non-normal responses with a flexible specification
        of the dependence structure.
License: GPL (>= 2)
Packaged: 2010-12-01 21:38:09 UTC; sammy
Repository: CRAN
Date/Publication: 2010-12-02 12:50:44

## mr 0.22

=== debian/changelog ===
mr (0.22) unstable; urgency=low

  * Update bzr registration code to work with current version of bzr,
    using bzr info to get the url. Closes: #463867

 -- Joey Hess <joeyh@debian.org>  Sun, 03 Feb 2008 17:04:59 -0500

mr (0.21) unstable; urgency=low

  * Add a git-svn file, which can be included to add support for git-svn
    repositories. Thanks to Clifford W. Hansen and Bastian Kleineidam
    for implementations. Closes: #462408

 -- Joey Hess <joeyh@debian.org>  Thu, 24 Jan 2008 13:45:05 -0500

mr (0.20) unstable; urgency=low

  * Add -q flag.
  * darcs: Add -u to diff to get a more usual unified diff.
  * Add a "record" subcommand, borrowing termonology from darcs. This does a
    local commit, but does not push changes to remote repos.
  * Improve unison support.

 -- Joey Hess <joeyh@debian.org>  Wed, 02 Jan 2008 22:49:53 -0500

mr (0.19) unstable; urgency=low

  * Support versions of man that don't use -l.
  * Updating git repos no longer uses git-pull -t by default. Git makes it
    to much of a PITA to do this, since -t makes git-pull require the
    repository and refspec be specified at the command line (which is a bug in
    git (#456035). mr used to hardcode those to "origin" and "master", but
    that's not always the right choice. So give up on forcing git to be sane
    about pulling down all tags. It's insane. Live with it, or configure your
    own update command.

 -- Joey Hess <joeyh@debian.org>  Wed, 12 Dec 2007 21:30:45 -0500

mr (0.18) unstable; urgency=low

  * darcs: Use record subcommand, there is no commit subcommand. Closes: #453501
  * darcs: De-p register code. Closes: #453502

 -- Joey Hess <joeyh@debian.org>  Thu, 29 Nov 2007 17:48:09 -0500

mr (0.17) unstable; urgency=low

  * Even bigger hammer: Set LC_ALL. Closes: #453305

 -- Joey Hess <joeyh@debian.org>  Thu, 29 Nov 2007 11:18:40 -0500

mr (0.16) unstable; urgency=low

  * Use LC_MESSAGES=C not LANG=C, as if the user has LC_MESSAGES set, LANG
    won't override it. Closes: #453305

 -- Joey Hess <joeyh@debian.org>  Wed, 28 Nov 2007 15:46:38 -0500

mr (0.15) unstable; urgency=low

  [ Joey Hess ]
  * Allow -n to be passed a number to specify how deep to go into
    subdirectories to find repositories to act on. Closes: #450621

  [ Josh Triplett ]
  * Make -j with no argument run unlimited jobs in parallel, like make -j
    Closes: #452467

  [ Joey Hess ]
  * Add a warning about runing too many jobs at a time.

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Nov 2007 13:13:47 -0500

mr (0.14) unstable; urgency=low

  * Portability fixes for the non-POSIX shell of SunOS 5. Patch from Ken
    Bloom. Closes: #449592
  * Cut number of rcs tests run in half.

 -- Joey Hess <joeyh@debian.org>  Sun, 11 Nov 2007 01:10:18 -0500

mr (0.13) unstable; urgency=low

  * -c was broken, fix. Closes: #449539

 -- Joey Hess <joeyh@debian.org>  Tue, 06 Nov 2007 11:39:04 -0500

mr (0.12) unstable; urgency=low

  * Avoid creating parent directory for a checkout that will ultimately be
    skipped.
  * Don't try to test the repo type when doing a checkout, that can't work
    since the repo isn't there yet. It was actually checking the repo type
    of the parent directory, which caused several unexpected behaviors.

 -- Joey Hess <joeyh@debian.org>  Sat, 03 Nov 2007 14:22:00 -0400

mr (0.11) unstable; urgency=low

  * Avoid using commands like git-config and instead use "git config".
    In some configurations, only the main git command is in the path.
  * Allow option bundling, mostly so "-j2" will work.
  * Better error message if more than one repo type test matches a single
    directory.

 -- Joey Hess <joeyh@debian.org>  Fri, 02 Nov 2007 23:28:52 -0400

mr (0.10) unstable; urgency=low

  * Add a lib file for using unison with mr.
  * Make registration work when no config file yet exists. Closes: #448422

 -- Joey Hess <joeyh@debian.org>  Sun, 28 Oct 2007 19:55:03 -0400

mr (0.9) unstable; urgency=low

  * Split up actions, so each rcs has its own set of action commands,
    and mr tests to see what rcs is used by a repository, and dispatches
    the command.

    This will make it much easier to add new rcses, or modify just the
    command that mr uses for one command for one rcs, without duplicating a
    lot of code, and without needing to modify mr at all.

    The old style unsplit actions are still supported, and are what most
    mrconfig files will still use; this change is fully backwards compatible.
  * Changed some things in the enviroment for the register action.
    It's now run in the directory that the user specifies, and MR_REPO
    is set to contain the basename of the directory that the checkout
    command should check out. These changes should be backware compatible
    to existing register actions.
  * Add info and warning functions to the shell library. (madduck)
  * Add git_bare and git_fake_bare rcs types to handle
    bare and fake bare (non-bare with a detached worktree) git repositories.
    (Diff and commit do not work yet to fake bare repos). (madduck)
  * Add a vim modeline to preserve joey's tabbing prefs. (madduck)
  * Add support for including one mrconfig file from another. Unlike chaining,
    this doesn't change the paths, and is not tied to a particular
    subdirectory. It's useful for loading up library mrconfig files.
  * Split git fake-bare support out into a lib/git-fake-bare.
    Partly because it's a good example of how to add a new revision control
    type and use includes, and partly because it's currently too ugly to be
    in mr itself due to bugs and limitations in git.

 -- Joey Hess <joeyh@debian.org>  Fri, 26 Oct 2007 03:00:40 -0400

mr (0.8) unstable; urgency=low

  * Improve "in subdir" message.
  * Patch from Simon McVittie, to pass -a to darcs commands to avoid
    interactive updates. Closes: #447999

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Oct 2007 06:22:45 -0400

mr (0.7) unstable; urgency=low

  * Fix inverted tests in tags command. (madduck)


=== debian/control ===
Source: mr
Section: utils
Priority: optional
Build-Depends: debhelper (>= 5), dpkg-dev (>= 1.9.0)
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.7.3
Homepage: http://kitenet.net/~joey/code/mr/
Vcs-Git: git://git.kitenet.net/mr

Package: mr
Architecture: all
Section: utils
Depends: 
Suggests: subversion, git-core, cvs, bzr, mercurial, darcs
Description: a Multiple Repository management tool
 The mr(1) command can checkout, update, or perform other actions on
 a set of repositories as if they were one combined respository. It
 supports any combination of subversion, git, cvs, mecurial,
 bzr and darcs repositories, and support for other revision control systems
 can easily be added.
 .
 It is extremely configurable via simple shell scripting. Some examples
 of things it can do include:
 .
  * Update a repository no more frequently than once every twelve hours.
  * Run an arbitrary command before committing to a repository.
  * When updating a git repository, pull from two different upstreams
    and merge the two together.
  * Run several repository updates in parallel, greatly speeding up
    the update process.

=== debian/rules ===
#!/usr/bin/make -f

build:
	pod2man -c mr mr > mr.1
	(echo "[]"; echo "checkout=") > mrconfig.tmp
	./mr -c mrconfig.tmp ed | grep -q "horse"
	rm -f mrconfig.tmp

clean:
	dh_testdir
	dh_testroot
	dh_clean mr.1

binary-arch: build

binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install mr usr/bin
	dh_installdocs README TODO
	dh_installexamples mrconfig mrconfig.complex
	dh_install lib/* usr/share/mr
	dh_installman *.1
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Not intended for use by anyone except the author.
announcedir:
	@echo ${HOME}/src/joeywiki/code/mr/news

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## mr 0.25~bpo40+1

=== debian/changelog ===
mr (0.25~bpo40+1) etch-backports; urgency=low

  * Rebuilt for etch.

 -- martin f. krafft <madduck@debian.org>  Tue, 25 Mar 2008 14:01:35 +0100

mr (0.25) unstable; urgency=low

  * git-fake-bare: Add support for diff, commit, and record. (madduck)

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Mar 2008 15:56:17 -0400

mr (0.24) unstable; urgency=low

  * Correct GIT_CONFIG settings in git-svn. Closes: #463941

 -- Joey Hess <joeyh@debian.org>  Wed, 06 Feb 2008 13:04:30 -0500

mr (0.23) unstable; urgency=low

  * Fix tests in git-svn include file to use MR_REPO. Closes: #463941

 -- Joey Hess <joeyh@debian.org>  Tue, 05 Feb 2008 13:26:05 -0500

## mr 0.31

=== debian/changelog ===
mr (0.31) unstable; urgency=low

  * Add an offline mode. When in offline mode, mr will remember commands
    that failed (presumably due to lack of network access), and will run
    them again once back online. (This is for all the laptop users
    like me who don't want to have to remember which git repos to mr push
    when they come back from a nice long hack in the woods. :-)

 -- Joey Hess <joeyh@debian.org>  Fri, 27 Jun 2008 23:19:23 -0400

mr (0.30) unstable; urgency=low

  [ martin f. krafft ]
  * Several git-fake-bare improvements.

  [ Joey Hess ]
  * Fix mr -c <config> register. (Thanks, Daniel Bungert)

 -- Joey Hess <joeyh@debian.org>  Wed, 25 Jun 2008 13:38:31 -0400

mr (0.29) unstable; urgency=low

  * Allow environment variables in section headers. Pass such headers
    through the shell to expand them. Closes: #480421
  * For the checkout command, MR_REPO was set to the name of the parent
    directory of the directory to checkout. It is supposed to be the
    path to the directory itself though; fixed this. Closes: #480424

 -- Joey Hess <joeyh@debian.org>  Wed, 14 May 2008 19:38:18 -0400

mr (0.28) unstable; urgency=low

  * Use debhelper v7, rules file minimisation.
  * Add a Makefile.

 -- Joey Hess <joeyh@debian.org>  Wed, 23 Apr 2008 21:56:06 -0400

mr (0.27) unstable; urgency=low

  * Ignore exit code from darcs whatsnew, which can be nonzero if there
    are no changes. Closes: #476650

 -- Joey Hess <joeyh@debian.org>  Sat, 19 Apr 2008 16:47:04 -0400

mr (0.26) unstable; urgency=low

  * Add -i option to start a shell if an operation fails. Closes: #474962

 -- Joey Hess <joeyh@debian.org>  Tue, 08 Apr 2008 20:58:44 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: mr
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 5), dpkg-dev (>= 1.9.0)
+Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 Homepage: http://kitenet.net/~joey/code/mr/
 Vcs-Git: git://git.kitenet.net/mr
 
@@ -28,3 +28,5 @@
     and merge the two together.
   * Run several repository updates in parallel, greatly speeding up
     the update process.
+  * Remember actions that failed due to a laptop being offline, so they
+    can be retried when it comes back online.

## mr 0.33

=== Makefile ===
build:
	pod2man -c mr mr > mr.1

test:
	(echo "[]"; echo "checkout=") > mrconfig.tmp
	./mr -c mrconfig.tmp ed | grep -q "horse"
	rm -f mrconfig.tmp

=== debian/changelog ===
mr (0.33) unstable; urgency=low

  * Add a push subcommand, which pushes committed changes for DCVS, and 
    does nothing for svn/cvs. Closes: #491865

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Jul 2008 15:22:01 -0400

mr (0.32) unstable; urgency=low

  * Include the right (v2) version of GPL in the source.

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Jul 2008 00:28:55 -0400

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,9 @@
  The mr(1) command can checkout, update, or perform other actions on
  a set of repositories as if they were one combined respository. It
  supports any combination of subversion, git, cvs, mecurial,
- bzr and darcs repositories, and support for other revision control systems
- can easily be added.
+ bzr, and darcs repositories, and support for other revision control
+ systems can easily be added. (There are extensions adding support for
+ unison and git-svn.)
  .
  It is extremely configurable via simple shell scripting. Some examples
  of things it can do include:

## mr 0.35

=== debian/changelog ===
mr (0.35) unstable; urgency=low

  * Warn if an include command fails nonzero. Closes: #495306
  * Remove stray character in pod that uglified man page. Closes: #495731
  * Create ~/.mrlog not world readable.
  * Pass additional options to darcs push when pushing. Closes: #495734

 -- Joey Hess <joeyh@debian.org>  Thu, 16 Oct 2008 14:51:00 -0400

mr (0.34) unstable; urgency=low

  * Fix bug when remembering failed commands in offline mode.

 -- Joey Hess <joeyh@debian.org>  Sat, 02 Aug 2008 12:27:21 -0400

## mr 0.39

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 build:
 	pod2man -c mr mr > mr.1
+	pod2man -c webcheckout webcheckout > webcheckout.1
 
 test:
 	(echo "[]"; echo "checkout=") > mrconfig.tmp

=== debian/changelog ===
mr (0.39) unstable; urgency=low

  * Determine current branch for fake-bare update (martin f. krafft)

 -- Joey Hess <joeyh@debian.org>  Mon, 09 Mar 2009 22:50:54 -0400

mr (0.38) unstable; urgency=low

  * Remove gitless lib. It turned out to be better to simply
    use git clone --shared when checking out. Sorry for the churn..

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Jan 2009 15:39:33 -0500

mr (0.37) unstable; urgency=low

  * Add "gitless" file to lib. 
    This adds a special type of git repository, where the .git directory
    is stored on a file server, to avoid wasting space with it on the client.
  * Revert buggy change to directory printing code.

 -- Joey Hess <joeyh@debian.org>  Wed, 21 Jan 2009 01:40:59 -0500

mr (0.36) unstable; urgency=low

  * Add webcheckout command. See <http://kitenet.net/~joey/rfc/rel-vcs/>
  * Fix display of repos configured at absolute path locations.

 -- Joey Hess <joeyh@debian.org>  Sat, 10 Jan 2009 16:42:07 -0500

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,9 @@
 Package: mr
 Architecture: all
 Section: utils
-Depends: 
-Suggests: subversion, git-core, cvs, bzr, mercurial, darcs
+Depends: ${misc:Depends}
+Suggests: subversion, git-core, cvs, bzr, mercurial, darcs, liburi-perl
+Recommends: libwww-perl, libhtml-parser-perl
 Description: a Multiple Repository management tool
  The mr(1) command can checkout, update, or perform other actions on
  a set of repositories as if they were one combined respository. It
@@ -31,3 +32,5 @@
     the update process.
   * Remember actions that failed due to a laptop being offline, so they
     can be retried when it comes back online.
+  .
+  This package also includes webcheckout.

## mr 0.46

=== debian/changelog ===
mr (0.46) unstable; urgency=low

  * Avoid using abs_path to determine canonical repo path, as that fails
    when the repo has not yet been checked out.

 -- Joey Hess <joeyh@debian.org>  Thu, 10 Dec 2009 17:28:26 -0500

mr (0.45) unstable; urgency=low

  * Fix pod error. Closes: #558012
  * bootstrap: Improve stats display.
  * Add --insecure option that can be used to ignore SSL cert errors
    when bootstrapping. (Pavel Avgustinov)
  * Fix handling of a repository in "."

 -- Joey Hess <joeyh@debian.org>  Tue, 08 Dec 2009 14:58:21 -0500

mr (0.44) unstable; urgency=low

  * Make mr -i pass -i to the shell, to ensure it knows it should be an
    interactive shell.
  * mr help: Support man on SunOS and OS X. (Geoff Davis)
  * mr bootstrap: Fix cross-device rename failure. Closes: #557962

 -- Joey Hess <joeyh@debian.org>  Wed, 25 Nov 2009 12:39:08 -0500

mr (0.43) unstable; urgency=low

  * Set User-Agent to "mr" when downloading the mrconfig file
    with mr bootstrap. Closes: #541778
  * Man page typo. Closes: #545412
  * mr bootstrap: Allow a directory to checkout into to be specified,
    and create it if necessary.
  * mr bootstrap: If the mrconfig file contains a repository named ".",
    check it out into the top level of the directory bootstrapped.

 -- Joey Hess <joeyh@debian.org>  Tue, 08 Sep 2009 20:22:32 -0400

mr (0.42) unstable; urgency=low

  * Add support for ~/.mrtrust, which can be used to list trusted mrconfig
    files. If you create this file, all files not listed in it will be treated
    as untrusted, and carefully limited in what they can do. This improves
    security when using mrconfig files provided by others.

 -- Joey Hess <joeyh@debian.org>  Fri, 07 Aug 2009 16:38:31 -0400

mr (0.41) unstable; urgency=low

  * Add -p switch, that makes mr search the current directory and its
    parents for a .mrconfig file to use.
  * Add `mr bootstrap`, which downloads an url to a .mrconfig file
    in the current directory and then checks out all repositories configured
    in it. This is intended for projects that want to publish a mrconfig file
    to automate use of their several repositories.

 -- Joey Hess <joeyh@debian.org>  Thu, 06 Aug 2009 22:38:58 -0400

mr (0.40) unstable; urgency=low

  * Pass --pull to bzr merge to avoid needing to commit
    merged changes. Closes: #524352

 -- Joey Hess <joeyh@debian.org>  Fri, 31 Jul 2009 13:47:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: mr
-Section: utils
+Section: vcs
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.8.0
+Standards-Version: 3.8.3
 Homepage: http://kitenet.net/~joey/code/mr/
 Vcs-Git: git://git.kitenet.net/mr
 
 Package: mr
 Architecture: all
-Section: utils
+Section: vcs
 Depends: ${misc:Depends}
-Suggests: subversion, git-core, cvs, bzr, mercurial, darcs, liburi-perl
-Recommends: libwww-perl, libhtml-parser-perl
+Suggests: subversion, git-core, cvs, bzr, mercurial, darcs, liburi-perl, curl
+Recommends: libwww-perl, libhtml-parser-perl, perl
 Description: a Multiple Repository management tool
  The mr(1) command can checkout, update, or perform other actions on
  a set of repositories as if they were one combined respository. It
- supports any combination of subversion, git, cvs, mecurial,
- bzr, and darcs repositories, and support for other revision control
- systems can easily be added. (There are extensions adding support for
- unison and git-svn.)
+ supports any combination of git, svn, mecurial, bzr, darcs, and cvs
+ repositories, and support for other revision control systems can easily
+ be added. (There are extensions adding support for unison and git-svn.)
  .
  It is extremely configurable via simple shell scripting. Some examples
  of things it can do include:

## mr 0.48

=== debian/changelog ===
mr (0.48) unstable; urgency=low

  * Fix the hours_since function built into mr's shell library to
    not exit, but return a true/false exit status. This allows it to be
    used outside of skip tests.

 -- Joey Hess <joeyh@debian.org>  Fri, 05 Feb 2010 17:12:01 -0500

mr (0.47) unstable; urgency=low

  * Pass -L to curl to allow it to follow redirects when bootstrapping.
    (Pavel Avgustinov)
  * Allow empty sections to be used in mrconfig files.

 -- Joey Hess <joeyh@debian.org>  Fri, 05 Feb 2010 16:40:29 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://kitenet.net/~joey/code/mr/
 Vcs-Git: git://git.kitenet.net/mr

## mr 0.49

=== debian/changelog ===
mr (0.49) unstable; urgency=low

  * Update suggests for git-core to git transition.
  * Use short mode status output for git and bzr.
  * Typo. Closes: #586233, #588913

 -- Joey Hess <joeyh@debian.org>  Sun, 18 Jul 2010 23:08:06 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Homepage: http://kitenet.net/~joey/code/mr/
 Vcs-Git: git://git.kitenet.net/mr
 
@@ -11,12 +11,12 @@
 Architecture: all
 Section: vcs
 Depends: ${misc:Depends}
-Suggests: subversion, git-core, cvs, bzr, mercurial, darcs, liburi-perl, curl
+Suggests: subversion, git-core | git (>= 1:1.7), cvs, bzr, mercurial, darcs, liburi-perl, curl
 Recommends: libwww-perl, libhtml-parser-perl, perl
 Description: a Multiple Repository management tool
  The mr(1) command can checkout, update, or perform other actions on
  a set of repositories as if they were one combined respository. It
- supports any combination of git, svn, mecurial, bzr, darcs, and cvs
+ supports any combination of git, svn, mercurial, bzr, darcs, and cvs
  repositories, and support for other revision control systems can easily
  be added. (There are extensions adding support for unison and git-svn.)
  .

## mr 0.50

=== debian/changelog ===
mr (0.50) unstable; urgency=low

  * Now supports the Fossil VCS. (Thanks, Jimmy Tang)
  * Added fixups hook, which can be used to run a command after
    a repository is checked out or updated. Closes: #590868
  * Added support for arbitrary pre and post hooks for all defined mr
    commands. For example, pre_commit is run before all commits; post_update
    is run after all updates. Closes: #481341

 -- Joey Hess <joeyh@debian.org>  Sun, 29 Aug 2010 15:00:01 -0400

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,15 @@
 Architecture: all
 Section: vcs
 Depends: ${misc:Depends}
-Suggests: subversion, git-core | git (>= 1:1.7), cvs, bzr, mercurial, darcs, liburi-perl, curl
+Suggests: subversion, git-core | git (>= 1:1.7), cvs, bzr, mercurial, darcs, liburi-perl, curl, fossil
 Recommends: libwww-perl, libhtml-parser-perl, perl
 Description: a Multiple Repository management tool
  The mr(1) command can checkout, update, or perform other actions on
  a set of repositories as if they were one combined respository. It
- supports any combination of git, svn, mercurial, bzr, darcs, and cvs
- repositories, and support for other revision control systems can easily
- be added. (There are extensions adding support for unison and git-svn.)
+ supports any combination of git, svn, mercurial, bzr, darcs, cvs, and
+ fossil repositories, and support for other revision control systems
+ can easily be added. (There are extensions adding support for unison
+ and git-svn.)
  .
  It is extremely configurable via simple shell scripting. Some examples
  of things it can do include:
@@ -32,4 +33,4 @@
   * Remember actions that failed due to a laptop being offline, so they
     can be retried when it comes back online.
   .
-  This package also includes webcheckout.
+  This package also includes the webcheckout command.

## mr 0.51

=== debian/changelog ===
mr (0.51) unstable; urgency=low

  * Fix display when absolute directories are configured in mrconfig.
  * Add push to manpage synopsis. Closes: #603029
  * Do not return a nonzero exit status when all repositories were skipped.
    Closes: #607287

 -- Joey Hess <joeyh@debian.org>  Thu, 16 Dec 2010 12:53:32 -0400

## mr 1.02

=== debian/changelog ===
mr (1.02) unstable; urgency=low

  * Fix bug in escaping.

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Jan 2011 01:18:23 -0400

mr (1.01) unstable; urgency=low

  * Add "mr run", which can run an arbitrary command in each repository.

 -- Joey Hess <joeyh@debian.org>  Thu, 20 Jan 2011 16:50:49 -0400

mr (1.00) unstable; urgency=low

  * Trust flag day. All mrconfig files except the main ~/.mrconfig are
    now untrusted by default, until listed in ~/.mrtrust.
  * The -p flag is now enabled by default. mr first reads ~/.mrconfig,
    and then looks for an additional .mrconfig file in the current
    directory or one of its parent directories. Closes: #557963

 -- Joey Hess <joeyh@debian.org>  Wed, 19 Jan 2011 14:28:38 -0400

## mr 1.04

=== debian/changelog ===
mr (1.04) unstable; urgency=low

  * Improve trust errors displayed while bootstrapping. Closes: #628234
  * Allow mr register to be used with mrconfig file that does not yet
    exist. Closes: #629217

 -- Joey Hess <joeyh@debian.org>  Sun, 19 Jun 2011 15:52:42 -0400

mr (1.03) unstable; urgency=low

  * Added git-subtree library. Thanks, Svend Sorensen
  * Now --quiet supresses all output from commands run, as well
    as from mr, unless a command fails. Closes: #529296

 -- Joey Hess <joeyh@debian.org>  Sun, 01 May 2011 19:09:35 -0400

## mr 1.05

=== debian/changelog ===
mr (1.05) unstable; urgency=low

  * README now gives a quick into to using mr.
  * Brought back the "deleted" parameter, which provides an easy way to
    mark repositories that should be removed.
  * Allow untrusted mrconfig files to set parameters to true/false.
    So skip=true or deleted=true can be used in an untrusted mrconfig file.
  * Also allow order=N in an untrusted mrconfig file.
  * Support bzr checkouts, which are updated with "bzr update",
    and to which bzr automatically pushes commits. Closes: #643589
  * Use bzr branch, not deprecated bzr clone when registering bzr
    repositories. Closes: #643591
  * Allow bzr branch|clone|get|checkout in untrusted mrconfig files.
  * Avoid using sed -r in git-fake-bare, for OSX portability.
  * git-fake-bare: handle fake bare repositories with core.bare not set
    (Thanks, Julien Rebetez)

 -- Joey Hess <joeyh@debian.org>  Tue, 27 Sep 2011 17:28:35 -0400

## mr 1.06

=== Makefile ===
build:
	pod2man -c mr mr > mr.1
	pod2man -c webcheckout webcheckout > webcheckout.1

test:
	(echo "[.]"; echo "checkout=") > mrconfig.tmp
	./mr --trust-all -c mrconfig.tmp ed | grep -q "horse"
	rm -f mrconfig.tmp

=== debian/changelog ===
mr (1.06) unstable; urgency=low

  * Fix propigation of failure from pre and post hooks and from fixups.
  * Support chaining to absolute paths.
  * Add support for skip = lazy, a mode where mr only operates on repositories
    that are checked out.

 -- Joey Hess <joeyh@debian.org>  Fri, 04 Nov 2011 17:03:17 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 Homepage: http://kitenet.net/~joey/code/mr/
 Vcs-Git: git://git.kitenet.net/mr
 
@@ -13,7 +13,7 @@
 Depends: ${misc:Depends}
 Suggests: subversion, git-core | git (>= 1:1.7), cvs, bzr, mercurial, darcs, liburi-perl, curl, fossil
 Recommends: libwww-perl, libhtml-parser-perl, perl
-Description: a Multiple Repository management tool
+Description: Multiple Repository management tool
  The mr(1) command can checkout, update, or perform other actions on
  a set of repositories as if they were one combined respository. It
  supports any combination of git, svn, mercurial, bzr, darcs, cvs, and

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

# Not intended for use by anyone except the author.
announcedir:
	@echo ${HOME}/src/joeywiki/code/mr/news

## mr 1.07

=== debian/changelog ===
mr (1.07) unstable; urgency=low

  * Added support for vcsh, enable with: include = cat /usr/share/mr/vcsh
    Thanks, Richard Hartmann 
  * Block tty control codes in untrusted mr config files.
  * Correct printing of line numbers when includes are used. Closes: #650952
  * The previous fix for chaining to absolute paths broke chaining to relative
    paths with more than one path segment. Thanks, Adam Spiers
  * Support _append to add on to the existing value of a parameter.
    Thanks, Adam Spiers
  * Optimizations. Commands like "mr list" run up to 5 times faster.
  * Fix shell escaping of parameters passed to mr commands. Closes: #644672
  * Added --force option that disables repository skipping.
  * Repositories using skip = lazy will not be checked out by "mr update"
    or "mr checkout" unless --force is used.

 -- Joey Hess <joeyh@debian.org>  Mon, 12 Dec 2011 15:52:16 -0400

## mr 1.08

=== debian/changelog ===
mr (1.08) unstable; urgency=low

  * Fix vcs test code. Closes: #651976

 -- Joey Hess <joeyh@debian.org>  Tue, 13 Dec 2011 16:21:19 -0400

## mr 1.09

=== debian/changelog ===
mr (1.09) unstable; urgency=low

  * Remove dir_test hack and add a way for vcs tests to run perl code,
    using this for the same optimisation. Fixes support for git-svn
    etc. Closes: #652317

 -- Joey Hess <joeyh@debian.org>  Fri, 16 Dec 2011 13:29:40 -0400

=== debian/control ===
--- 
+++ 
@@ -17,9 +17,9 @@
  The mr(1) command can checkout, update, or perform other actions on
  a set of repositories as if they were one combined respository. It
  supports any combination of git, svn, mercurial, bzr, darcs, cvs, and
- fossil repositories, and support for other revision control systems
+ fossil repositories, and support for other version control systems
  can easily be added. (There are extensions adding support for unison
- and git-svn.)
+ and git-svn, amoung others.)
  .
  It is extremely configurable via simple shell scripting. Some examples
  of things it can do include:

## mr 1.10

=== debian/changelog ===
mr (1.10) unstable; urgency=low

  * Fix display of trust errors.

 -- Joey Hess <joeyh@debian.org>  Tue, 27 Dec 2011 12:13:15 -0400

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  supports any combination of git, svn, mercurial, bzr, darcs, cvs, and
  fossil repositories, and support for other version control systems
  can easily be added. (There are extensions adding support for unison
- and git-svn, amoung others.)
+ and git-svn, among others.)
  .
  It is extremely configurable via simple shell scripting. Some examples
  of things it can do include:

## mr 1.11

=== debian/changelog ===
mr (1.11) unstable; urgency=low

  * Now supports the veracity vcs. Thanks, Jimmy Tang.
  * vcsh is now supported without including a plugin.
  * After checkout, run fixups chdired to the just checked out directory.

 -- Joey Hess <joeyh@debian.org>  Tue, 14 Feb 2012 18:13:29 -0400

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
 Description: Multiple Repository management tool
  The mr(1) command can checkout, update, or perform other actions on
  a set of repositories as if they were one combined respository. It
- supports any combination of git, svn, mercurial, bzr, darcs, cvs, and
- fossil repositories, and support for other version control systems
- can easily be added. (There are extensions adding support for unison
+ supports any combination of git, svn, mercurial, bzr, darcs, cvs, vcsh,
+ fossil, and veracity repositories, and support for other version control
+ systems can easily be added. (There are extensions adding support for unison
  and git-svn, among others.)
  .
  It is extremely configurable via simple shell scripting. Some examples

## mr 1.12~bpo60+1

=== debian/changelog ===
mr (1.12~bpo60+1) squeeze-backports; urgency=low

  * Backport to squeeze for vcsh support.

 -- Christine Spang <christine@debian.org>  Tue, 05 Jun 2012 09:59:14 -0400

mr (1.12) unstable; urgency=low

  * Ignore nonzero exit status of hg pull, which can happen
    when there were no changes to pull. Closes: #661870 
  * Add vcsh to Suggests.
  * Recognize a repo with a .git file as a git repo.
  * Improve bzr register's heuristics to determine upstream repo.
    Closes: #672843

 -- Joey Hess <joeyh@debian.org>  Mon, 14 May 2012 10:42:52 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: mr
 Section: vcs
 Priority: optional
-Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0)
+Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://kitenet.net/~joey/code/mr/
 Vcs-Git: git://git.kitenet.net/mr
 
@@ -11,7 +11,7 @@
 Architecture: all
 Section: vcs
 Depends: ${misc:Depends}
-Suggests: subversion, git-core | git (>= 1:1.7), cvs, bzr, mercurial, darcs, liburi-perl, curl, fossil
+Suggests: subversion, git-core | git (>= 1:1.7), cvs, bzr, mercurial, darcs, fossil, vcsh, liburi-perl, curl
 Recommends: libwww-perl, libhtml-parser-perl, perl
 Description: Multiple Repository management tool
  The mr(1) command can checkout, update, or perform other actions on

## mr 1.13

=== debian/changelog ===
mr (1.13) unstable; urgency=low

  * Pass -q to cvs diff and update. Closes: #673367
  * mr bootstrap: Now supports ssh:// urls.
  * Simpler vcsh status command line. Closes: #685089
  * Add grep subcommand. Uses ack-grep on VCS that do not have their own.
    Closes: #685122

 -- Joey Hess <joeyh@debian.org>  Sat, 25 Aug 2012 11:14:41 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mr
 Section: vcs
 Priority: optional
-Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.9.0)
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.9.3
 Homepage: http://kitenet.net/~joey/code/mr/

## mr 1.14

=== debian/changelog ===
mr (1.14) unstable; urgency=low

  * Added a fetch command. Closes: #480580
  * status: Now includes information about unpushed changes,
    for git, git-svn, hg, and bzr. Closes: #693021
  * Added lib/vis, an add-on to visualise repo history.
    Closes: #693022 Thanks, Paul Wise
  * Drop an extra -m from various commit/record commands.
    Closes: #695478 Thanks, Paul Wise

 -- Joey Hess <joeyh@debian.org>  Wed, 13 Feb 2013 14:48:34 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.9.3
-Homepage: http://kitenet.net/~joey/code/mr/
+Homepage: http://joeyh.name/code/mr/
 Vcs-Git: git://git.kitenet.net/mr
 
 Package: mr

## mr 1.15

=== debian/changelog ===
mr (1.15) unstable; urgency=low

  * Added lib/repo, for support for repo (as used in Android)
    Closes: #705652 Thanks, Peter Eisentraut
  * Better cvs status.
    Closes: #694037 Thanks, Paul Wise

 -- Joey Hess <joeyh@debian.org>  Sat, 04 May 2013 23:47:50 -0400

## mr 1.16

=== debian/changelog ===
mr (1.16) unstable; urgency=low

  * Now a transitional package to pull in the new myrepos package.

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Jul 2013 13:49:30 -0400

=== debian/control ===
Source: mr
Section: vcs
Priority: extra
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9.0)
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.9.3
Homepage: http://joeyh.name/code/mr/

Package: mr
Architecture: all
Section: oldlibs
Depends: myrepos
Description: Multiple Repository management tool (transitional package)
 The mr(1) command can checkout, update, or perform other actions on
 a set of repositories as if they were one combined respository.
 .
 This is a transitional dummy package to ensure clean upgrades from
 old releases. It can be safely removed after upgrade.
